efreet_base.h File Reference

Contains the methods used to support the FDO base directory specification. More...

## Data Structures

struct | _Efreet_Event_Cache_Update
| Efreet_Event_Cache_Update. More...

## Typedefs

typedef struct _Efreet_Event_Cache_Update | Efreet_Event_Cache_Update
| Efreet_Event_Cache_Update.

## Functions

const char * | efreet_data_home_get (void)
| Retrieves the XDG Data Home directory.
Eina_List * | efreet_data_dirs_get (void)
| Returns the Eina_List of preference ordered extra data directories.
const char * | efreet_config_home_get (void)
| Retrieves the XDG Config Home directory.
const char * | efreet_desktop_dir_get (void)
| Retrieves the XDG Desktop directory.
const char * | efreet_download_dir_get (void)
| Retrieves the XDG Download directory.
const char * | efreet_templates_dir_get (void)
| Retrieves the XDG Templates directory.
const char * | efreet_public_share_dir_get (void)
| Retrieves the XDG Public Share directory.
const char * | efreet_documents_dir_get (void)
| Retrieves the XDG Documents directory.
const char * | efreet_music_dir_get (void)
| Retrieves the XDG Music directory.
const char * | efreet_pictures_dir_get (void)
| Retrieves the XDG Pictures directory.
const char * | efreet_videos_dir_get (void)
| Retrieves the XDG Videos directory.
Eina_List * | efreet_config_dirs_get (void)
| Returns the Eina_List of preference ordered extra config directories.
const char * | efreet_cache_home_get (void)
| Retrieves the XDG Cache Home directory.
const char * | efreet_runtime_dir_get (void)
| Retrieves the XDG User Runtime directory.
const char * | efreet_hostname_get (void)
| Returns the current hostname or empty string if not found.

## Detailed Description

Contains the methods used to support the FDO base directory specification.